Page MenuHomePhabricator

Flow edit area should have a placeholder when in VE mode
Closed, ResolvedPublic

Description

In Flow when replying to a message using the wikitext editor, a placeholder "Reply to X" is shown.
However, the VE version is missing such placeholder due to the limitations of ContentEditable surfaces (T96593).
Once T96593 is completed, we should add the placeholder to Flow-VE input areas.

Event Timeline

Mattflaschen-WMF triaged this task as Normal priority.Apr 28 2015, 8:06 PM

Change 221777 had a related patch set uploaded (by Catrope):
Use placeholder support in VE once it becomes available

https://gerrit.wikimedia.org/r/221777

Catrope claimed this task.Jun 29 2015, 9:59 PM
Catrope set Security to None.

Change 221777 merged by jenkins-bot:
Copy placeholders over to VE surfaces

https://gerrit.wikimedia.org/r/221777

  1. https://phabricator.wikimedia.org/T97451 "Make source/wikitext icon consistent" is still Open.

Presently there is a difference between icons:

<a title="Switch to Wikitext editor" role="button" class="oo-ui-tool-link" aria-disabled="false" tabindex="0">
<span class="oo-ui-iconElement-icon oo-ui-icon-flow-switch-editor"></span><span class="oo-ui-tool-title">Switch to Wikitext editor</span>
<span dir="ltr" class="oo-ui-tool-accel" lang="en"></span></a></span>

vs

<a href="#" title="Switch to VisualEditor" class="mw-ui-button flow-js flow-editor-switcher mw-ui-checked" data-flow-interactive-handler="switchEditor" 
data-flow-target="< .flow-editor textarea.flow-editor-initialized">
				&lt;/&gt;
			</a>
  1. Refer to 3.A on https://phabricator.wikimedia.org/T96421: Switch to wikitext mode.

It should be a regular pressed button. That is, look dark grey, not green. (T94877).

On the mock-up the pressed button looks darker - but currently there is:

mw-ui-button:active, .mw-ui-button.mw-ui-checked {

background: #CCC none repeat scroll 0% 0%;
box-shadow: none;
DannyH closed this task as Resolved.Jul 2 2015, 4:37 PM